update workergroup
curl --request PUT \
--url https://console.vast.ai/api/v0/workergroups/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"endpoint_id": 123,
"template_hash": "abc123def456",
"template_id": 456,
"search_params": "gpu_name=RTX_3090 rentable=true",
"launch_args": "--env VAR=value",
"gpu_ram": 24
}
'import requests
url = "https://console.vast.ai/api/v0/workergroups/{id}"
payload = {
"endpoint_id": 123,
"template_hash": "abc123def456",
"template_id": 456,
"search_params": "gpu_name=RTX_3090 rentable=true",
"launch_args": "--env VAR=value",
"gpu_ram": 24
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
endpoint_id: 123,
template_hash: 'abc123def456',
template_id: 456,
search_params: 'gpu_name=RTX_3090 rentable=true',
launch_args: '--env VAR=value',
gpu_ram: 24
})
};
fetch('https://console.vast.ai/api/v0/workergroups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://console.vast.ai/api/v0/workergroups/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'endpoint_id' => 123,
'template_hash' => 'abc123def456',
'template_id' => 456,
'search_params' => 'gpu_name=RTX_3090 rentable=true',
'launch_args' => '--env VAR=value',
'gpu_ram' => 24
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://console.vast.ai/api/v0/workergroups/{id}"
payload := strings.NewReader("{\n \"endpoint_id\": 123,\n \"template_hash\": \"abc123def456\",\n \"template_id\": 456,\n \"search_params\": \"gpu_name=RTX_3090 rentable=true\",\n \"launch_args\": \"--env VAR=value\",\n \"gpu_ram\": 24\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://console.vast.ai/api/v0/workergroups/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"endpoint_id\": 123,\n \"template_hash\": \"abc123def456\",\n \"template_id\": 456,\n \"search_params\": \"gpu_name=RTX_3090 rentable=true\",\n \"launch_args\": \"--env VAR=value\",\n \"gpu_ram\": 24\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://console.vast.ai/api/v0/workergroups/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"endpoint_id\": 123,\n \"template_hash\": \"abc123def456\",\n \"template_id\": 456,\n \"search_params\": \"gpu_name=RTX_3090 rentable=true\",\n \"launch_args\": \"--env VAR=value\",\n \"gpu_ram\": 24\n}"
response = http.request(request)
puts response.read_body{
"success": true
}{
"success": false,
"error": "invalid_args",
"msg": "Workgroup not found for user"
}{
"success": false,
"error": "<string>",
"msg": "<string>"
}{
"detail": "API requests too frequent endpoint threshold=2.0"
}Serverless
update workergroup
Updates the properties of an existing workergroup based on the provided parameters. Fields you omit are left unchanged.
CLI Usage: vastai update workergroup <id> [options]
PUT
/
api
/
v0
/
workergroups
/
{id}
update workergroup
curl --request PUT \
--url https://console.vast.ai/api/v0/workergroups/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"endpoint_id": 123,
"template_hash": "abc123def456",
"template_id": 456,
"search_params": "gpu_name=RTX_3090 rentable=true",
"launch_args": "--env VAR=value",
"gpu_ram": 24
}
'import requests
url = "https://console.vast.ai/api/v0/workergroups/{id}"
payload = {
"endpoint_id": 123,
"template_hash": "abc123def456",
"template_id": 456,
"search_params": "gpu_name=RTX_3090 rentable=true",
"launch_args": "--env VAR=value",
"gpu_ram": 24
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
endpoint_id: 123,
template_hash: 'abc123def456',
template_id: 456,
search_params: 'gpu_name=RTX_3090 rentable=true',
launch_args: '--env VAR=value',
gpu_ram: 24
})
};
fetch('https://console.vast.ai/api/v0/workergroups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://console.vast.ai/api/v0/workergroups/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'endpoint_id' => 123,
'template_hash' => 'abc123def456',
'template_id' => 456,
'search_params' => 'gpu_name=RTX_3090 rentable=true',
'launch_args' => '--env VAR=value',
'gpu_ram' => 24
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://console.vast.ai/api/v0/workergroups/{id}"
payload := strings.NewReader("{\n \"endpoint_id\": 123,\n \"template_hash\": \"abc123def456\",\n \"template_id\": 456,\n \"search_params\": \"gpu_name=RTX_3090 rentable=true\",\n \"launch_args\": \"--env VAR=value\",\n \"gpu_ram\": 24\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://console.vast.ai/api/v0/workergroups/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"endpoint_id\": 123,\n \"template_hash\": \"abc123def456\",\n \"template_id\": 456,\n \"search_params\": \"gpu_name=RTX_3090 rentable=true\",\n \"launch_args\": \"--env VAR=value\",\n \"gpu_ram\": 24\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://console.vast.ai/api/v0/workergroups/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"endpoint_id\": 123,\n \"template_hash\": \"abc123def456\",\n \"template_id\": 456,\n \"search_params\": \"gpu_name=RTX_3090 rentable=true\",\n \"launch_args\": \"--env VAR=value\",\n \"gpu_ram\": 24\n}"
response = http.request(request)
puts response.read_body{
"success": true
}{
"success": false,
"error": "invalid_args",
"msg": "Workgroup not found for user"
}{
"success": false,
"error": "<string>",
"msg": "<string>"
}{
"detail": "API requests too frequent endpoint threshold=2.0"
}Body
application/json